---
layout: docs
page_title: monitor - Command
description: |-
  The "monitor" command displays the server logs of a Vault server in real
  time.
---

# monitor

The `monitor` command shows a real time display of the server logs of a Vault
server. This command accepts a log level as an argument, which can be different
from the log level that the Vault server was started with.

The `monitor` command honors the `VAULT_ADDR` environment variable. The address
specified determines the target server that will be monitored.

Note that this command is designed to run indefinitely. It is similar to
`tail -f` in the Unix world. This command will not exit on its own unless
it encounters an unexpected error. As a user, you must terminate this
process yourself to shut it down.

If Vault is emitting log messages faster than a receiver can process them, the
some log lines will be dropped.

## Examples

Monitor server logs at the `debug` log level:

```shell-session
$ vault monitor -log-level=debug
```

## Usage

The following flags are available in addition to the [standard set of
flags](/vault/docs/commands) included on all commands.

### Output options

- `-log-level` `(string: "info")` - Monitor the Vault server at this log level.
  Valid log levels are (in order of detail) "trace", "debug", "info",
  "warn", "error". If this option is not specified, "info" is used.

- `-log-format` `(string: "standard")` - Format to emit logs.
  Valid formats are "standard", and "json". 
  If this option is not specified, "standard" is used.
